Get a sweep | Moov Documentation

Get a sweep

Get details on a specific sweep.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/wallets.read scope.

Request

HTTP Method

GET

Endpoint

/accounts/{accountID}/wallets/{walletID}/sweeps/{sweepID}

Example Request

curl -X GET "https://api.moov.io/accounts/{accountID}/wallets/{walletID}/sweeps/{sweepID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Example in Go

mc, _ := moov.NewClient()

var accountID string
var sweepConfigID string

mc.GetSweepConfig(ctx, accountID, sweepConfigID)

Example in TypeScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.sweeps.get({
    accountID: "481bc941-34a2-4c2a-a4f8-feaa9a25d630",
    walletID: "e63a4638-ad67-44fb-9b59-ed7311023602",
    sweepID: "c88c9731-06c2-4b4a-a7d2-34c8b936d9ae",
  });

console.log(result);
}

run();

Example in PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->sweeps->get(
    accountID: '481bc941-34a2-4c2a-a4f8-feaa9a25d630',
    walletID: 'e63a4638-ad67-44fb-9b59-ed7311023602',
    sweepID: 'c88c9731-06c2-4b4a-a7d2-34c8b936d9ae'
);

if ($response->sweep !== null) {
    // handle response
}

Example in Java

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetSweepResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetSweepResponse res = sdk.sweeps().get()
                .accountID("481bc941-34a2-4c2a-a4f8-feaa9a25d630")
                .walletID("e63a4638-ad67-44fb-9b59-ed7311023602")
                .sweepID("c88c9731-06c2-4b4a-a7d2-34c8b936d9ae")
                .call();

if (res.sweep().isPresent()) {
            System.out.println(res.sweep().get());
        }
    }
}

Example in Python

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.sweeps.get(account_id="481bc941-34a2-4c2a-a4f8-feaa9a25d630", wallet_id="e63a4638-ad67-44fb-9b59-ed7311023602", sweep_id="c88c9731-06c2-4b4a-a7d2-34c8b936d9ae")

# Handle response
    print(res)

Example in Ruby

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.sweeps.get(account_id: '481bc941-34a2-4c2a-a4f8-feaa9a25d630', wallet_id: 'e63a4638-ad67-44fb-9b59-ed7311023602', sweep_id: 'c88c9731-06c2-4b4a-a7d2-34c8b936d9ae')

unless res.sweep.nil?
  # handle response
end

Example in C#

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Sweeps.GetAsync(
    accountID: "481bc941-34a2-4c2a-a4f8-feaa9a25d630",
    walletID: "e63a4638-ad67-44fb-9b59-ed7311023602",
    sweepID: "c88c9731-06c2-4b4a-a7d2-34c8b936d9ae"
);

// handle response

Accrued sweep

{
  "accrualStartedOn": "2024-05-06T12:20:38.184Z",
  "accruedAmount": "100.00",
  "currency": "USD",
  "status": "accruing",
  "subtotals": [
    {
      "amount": {
        "currency": "USD",
        "valueDecimal": "50.00"
      },
      "count": 1,
      "type": "moov-fee"
    },
    {
      "amount": {
        "currency": "USD",
        "valueDecimal": "50.00"
      },
      "count": 1,
      "type": "account-funding"
    }
  ],
  "sweepID": "01234567-89ab-cdef-0123-456789abcdef"
}

Paid sweep

{
  "accrualEndedOn": "2024-05-06T12:20:38.184Z",
  "accrualStartedOn": "2024-05-06T12:20:38.184Z",
  "accruedAmount": "100.00",
  "currency": "USD",
  "pushPaymentMethodID": "01234567-89ab-cdef-0123-456789abcdef",
  "residualBalance": "0.00",
  "statementDescriptor": "swp_012345",
  "status": "paid",
  "subtotals": [
    {
      "amount": {
        "currency": "USD",
        "valueDecimal": "50.00"
      },
      "count": 1,
      "type": "moov-fee"
    },
    {
      "amount": {
        "currency": "USD",
        "valueDecimal": "50.00"
      },
      "count": 1,
      "type": "account-funding"
    }
  ],
  "sweepID": "01234567-89ab-cdef-0123-456789abcdef",
  "transferAmount": "12.98",
  "transferID": "01234567-89ab-cdef-0123-456789abcdef"
}

Response Headers

Set this header to v2026.07.00 to use the API described in this specification.